Extending Qt Creator Manual | CodeAssistant

Extending Qt Creator Manual 4.5.2

# CodeAssistant Class

(TextEditor::CodeAssistant)

- List of all members, including inherited members

## Public Functions

| CodeAssistant()
| ~CodeAssistant()
void | configure(TextEditorWidget *editorWidget)
void | destroyContext()
bool | hasContext() const
void | invoke(AssistKind assistKind, IAssistProvider *provider = 0)
void | notifyChange()
void | process()
void | setUserData(const QVariant &data)
QVariant | userData() const

## Signals

void | finished()

## Member Function Documentation

### CodeAssistant::CodeAssistant()

Default constructs an instance of CodeAssistant.

### CodeAssistant::~CodeAssistant()

Destroys the instance of CodeAssistant.

### void CodeAssistant::configure(TextEditorWidget *editorWidget)

### void CodeAssistant::destroyContext()

### `[signal]` void CodeAssistant::finished()

### bool CodeAssistant::hasContext() const

### void CodeAssistant::invoke(AssistKind assistKind, IAssistProvider *provider = 0)

### void CodeAssistant::notifyChange()

### void CodeAssistant::process()

### void CodeAssistant::setUserData(const QVariant &data)

See also userData().

### QVariant CodeAssistant::userData() const

See also setUserData().